Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ObjectParam

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.object.common.bean.ObjectParam

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ObjectParam extends IdTitle implements ListItem

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectParam()`
  `ObjectParam(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getTypeId()`
  `boolean`
  `isHistory()`
  `ObjectParam`
  `setComment(String comment)`
  `ObjectParam`
  `setHistory(boolean history)`
  `ObjectParam`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Constructor Details

  - ### ObjectParam

    public ObjectParam()

  - ### ObjectParam

    public ObjectParam(int id, String title)

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public ObjectParam setTypeId(int typeId)

  - ### getComment

    public String getComment()

  - ### setComment

    public ObjectParam setComment(String comment)

  - ### isHistory

    public boolean isHistory()

  - ### setHistory

    public ObjectParam setHistory(boolean history)